Subject: Re: [PATCH v2 3/8] packed-backend: check whether the "packed-refs" is regular

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 3 Feb 2025 09:40:13 +0100

On Thu, Jan 30, 2025 at 12:07:23PM +0800, shejialuo wrote:
> Although "git-fsck(1)" and "packed-backend.c" will check some
> consistency and correctness of "packed-refs" file, they never check the
> filetype of the "packed-refs". The user should always use "git
> packed-refs" command to create the raw regular "packed-refs" file, so we

It's `git pack-refs`, not `git packed-refs`.

Otherwise I'm not going to comment on the rest of the commit, as Junio
has already sufficiently discussed it with you, and I very much agree
with his assessment that we don't need to discuss whether or not to use
`open_nofollow()` in this depth.

Patrick